Bug 1624738 - heketi-cli volume info of Block-hosting volumes lists extra block device IDs which are NOT present
Summary: heketi-cli volume info of Block-hosting volumes lists extra block device IDs ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: cns-3.10
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: CNS 3.10
Assignee: John Mulligan
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On:
Blocks: 1568862
TreeView+ depends on / blocked
 
Reported: 2018-09-03 07:47 UTC by Neha Berry
Modified: 2019-01-01 14:51 UTC (History)
9 users (show)

Fixed In Version: heketi-7.0.0-11.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 09:23:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github heketi heketi pull 1340 0 None None None 2018-09-04 15:21:57 UTC
Red Hat Product Errata RHEA-2018:2686 0 None None None 2018-09-12 09:24:40 UTC

Description Neha Berry 2018-09-03 07:47:28 UTC
heketi-cli volume info of Block-hosting volumes lists extra block device IDs which are NOT present

We found this error on a setup which was used for regressing bz#1623433 and bz#1610903

Description of problem:
=======================

We created a CNS 3.10 setup with the builds - RHGS-3.4.0-7 on an existing OCP 3.10.14 setup.

The heketi version = heketi-7.0.0-8.el7rhgs.x86_64

On the setup, we had a total of 1 Block-Hosting volume(vol_f51ea2467acb3ca749e32a9f1993da12) and 6 block pvcs(block devices).

But the heketi-cli volume info of the BHV lists many more block device IDs, which are not even present in the gluster-backend.:q!


Note: This was a fresh CNS install on an OCP setup , hence no entries existed on /etc/target/saveconfig.json file

BHV created freshly on 2018/09/02 13:07:15 UTC
++++++++++++++++++++++++++++++++++++++++++++++++

Issues:

1. heketi-cli volume info lists some redundant/NOT present block device ids.
2. Due to this, the free space of the BHV is only 47 GB, even though only 14GB of actual block-device sizes has been carved out.


# heketi-cli blockvolume list
Id:35ffaa3c17b8e4feac3b5ffd3face3b5    Cluster:b3e2a9494c7c01a4284009fbe5ae960c    Name:bk_glusterfs_bk3-2_bb27a4af-aec5-11e8-80c4-0a580a830204
Id:8c33761a062c253c35667c22f9999220    Cluster:b3e2a9494c7c01a4284009fbe5ae960c    Name:bk4_glusterfs_bk4-3_a436de43-aec7-11e8-80c4-0a580a830204
Id:93a41fc9c30d67a8368e1b5332add933    Cluster:b3e2a9494c7c01a4284009fbe5ae960c    Name:bk4_glusterfs_block4-1_107d2230-aeb1-11e8-80c4-0a580a830204
Id:ca1a4a5e14b46809c4f2e12009c8f4d9    Cluster:b3e2a9494c7c01a4284009fbe5ae960c    Name:bk4_glusterfs_block4-2_308c2e27-aeb1-11e8-80c4-0a580a830204
Id:f107ec099127506a0cead8fbecf06606    Cluster:b3e2a9494c7c01a4284009fbe5ae960c    Name:bk_glusterfs_block3-1_c8825b65-aeb3-11e8-80c4-0a580a830204




heketi-cli volume info f51ea2467acb3ca749e32a9f1993da12 

Name: vol_f51ea2467acb3ca749e32a9f1993da12
Size: 100
Volume Id: f51ea2467acb3ca749e32a9f1993da12
Cluster Id: b3e2a9494c7c01a4284009fbe5ae960c
Mount: 10.70.46.53:vol_f51ea2467acb3ca749e32a9f1993da12
Mount Options: backup-volfile-servers=10.70.47.149,10.70.47.79,10.70.46.169
Block: true
Free Size: 47
Reserved Size: 2
Block Hosting Restriction: (none)
Block Volumes: [08768dc720deac211176fd194b9d83a4 0b5c74a92839289b264afcd65e74319c 137fcbc6c8841eabaf28d0d2ddd3ea01 1fea4581e24f0892d7a39b3f19fcee0f 217cc00aa1d19e656cb58e416a74a9be 2549e49725184bd884cb6713bde6cf8f 2caec506112c584bab5ee15b4a2f1c71 3313755fe84040a6303fa105b7b4b7cf 35ffaa3c17b8e4feac3b5ffd3face3b5 3bebb034f01cc3073ea9fe3c69c95117 419ac66e89bdff3b3e4bdcdc36ba7a51 44dc5386a7105b7cc05b43b63503d997 46a3d34c3294aa882710582a41e23406 48d16958e710a2c8bf91dbfdc835f525 56c7a267e7af8e3c53eaefda2c7f476c 5ca9127e50a229c7b8486af1ca520494 632a0e1fd8b0abe869f64d540ae4e0b9 654e89a0b6cd3b967d5e8e627beba4c5 6b2d80e9f3f127dfcf87e4e906db7157 6bb827f32fffa41a4363afc6252dfbef 71a52fad66b580397c8e5ecd89bfc36e 7c184996c4ce68c1b499e51cb2d12830 86f3e3c019aa8204f461567d6dd51249 8aec8cb7b690613b622f174fe469fbf0 8c33761a062c253c35667c22f9999220 93a41fc9c30d67a8368e1b5332add933 967832cc69e12486074cf67eff15ae8c 9ece9bd905cd2ce5ce204d870b3a6c94 abda8ffc70706510e885b582c9c32c66 ac0784a26565cdf971dc452758d44d09 ad7196e50ec003d9cf77c212db090ee8 b6a2eb1d986cb602a2ee42488ad6db74 bcd5d7b634df1d58e8ee22a14633816d bf3cd43b3fc1cdfb26111af80ef2a586 bfb2151ee3c437c89f05c9ed2db9dd7e ca1a4a5e14b46809c4f2e12009c8f4d9 d15617591bed358be528d83914faa6ed d21d82c41043a03f99aaffba6bd44123 e81f0f86ae2376aa50efa52ca204ef30 eb18e76363d40c169b1b05bba52ed48f eee810f60953bc32030b3f682a779554 f107ec099127506a0cead8fbecf06606 f22ad85d848b5ab3109ae429786c1a4d]
Durability Type: replicate
Distributed+Replica: 3



# oc rsh glusterfs-storage-25926 gluster-block info vol_f51ea2467acb3ca749e32a9f1993da12/vol_08768dc720deac211176fd194b9d83a4
block vol_f51ea2467acb3ca749e32a9f1993da12/vol_08768dc720deac211176fd194b9d83a4 doesn't exist
command terminated with exit code 2
[root@dhcp46-44 heketi-bug]# 

[root@dhcp46-44 heketi-bug]# heketi-cli blockvolume info 08768dc720deac211176fd194b9d83a4
Error: Id not found




Some outputs
===============


[root@dhcp46-44 heketi-bug]# oc get pvc|grep block
bk3-2      Bound     pvc-bb1c0f5d-aec5-11e8-8e58-005056a59bf3   1Gi        RWO            gluster-block       16h
bk4-3      Bound     pvc-a557b944-aec5-11e8-8e58-005056a59bf3   1Gi        RWO            gluster-block4      16h
block3-1   Bound     pvc-c86bde08-aeb3-11e8-8e58-005056a59bf3   5Gi        RWO            gluster-block       18h
block4-1   Bound     pvc-14befacf-aeb4-11e8-8e57-005056a59bf3   3Gi        RWO            gluster-block4      18h
block4-2   Bound     pvc-307a5dd3-aeb1-11e8-8e58-005056a59bf3   3Gi        RWO            gluster-block4      18h
[root@dhcp46-44 heketi-bug]#

Comment 26 errata-xmlrpc 2018-09-12 09:23:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2686


Note You need to log in before you can comment on or make changes to this bug.